bitel.billing.server.contract

## Class ContractRemover

- java.lang.Object
- - bitel.billing.server.contract.ContractRemover

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContractRemover
      extends java.lang.Object
      implements java.lang.AutoCloseable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractRemover(java.sql.Connection con, java.lang.String folder)`
    `ContractRemover(DefaultServerSetup setup, java.sql.Connection con, java.lang.String folder)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.lang.String` | `deleteContract(int cid)` Удаление договора без предварительной проверки возможности в модулях.
    `java.lang.String` | `deleteContract(int userId, int contractId)` Удаление договора без предварительной проверки возможности в модулях.
    `java.lang.String` | `getArchiveContent(java.lang.String fileName)` Получение текстового содержимого архива (для просмотра сериализованной xml, например).
    `java.util.List<java.io.File>` | `getContractsFromArchive(java.lang.String fileFilter)`
    `java.util.List<java.lang.String>` | `getFolders()` Список папок и подпапок в папке для сохранения архивов (для отображения юзеру списка)
    `java.lang.String` | `removeContract(int contractId, boolean save)` Удаление договора с предварительной проверкой возможности удаления в модулях.
    `java.lang.String` | `removeContract(int cid, boolean save, int userId)` Удаление договора с предварительной проверкой возможности удаления в модулях.
    `java.lang.String` | `removeContracts(java.util.List<java.lang.Integer> cids, boolean save)` Удаление договоров с предварительной проверкой возможности удаления в модулях.
    `java.lang.String` | `restoreContract(java.lang.String fileName)` восстановление договора из файла
    `java.lang.String` | `restoreContractClone(java.lang.String fileName)` восстановление клона договора из файла

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractRemover

          public ContractRemover(java.sql.Connection con,
                                 java.lang.String folder)

    - #### ContractRemover

          @Deprecated
          public ContractRemover(DefaultServerSetup setup,
                                             java.sql.Connection con,
                                             java.lang.String folder)

      Deprecated.

  - ### Method Detail

    - #### removeContracts

          public java.lang.String removeContracts(java.util.List<java.lang.Integer> cids,
                                                  boolean save)
                                           throws ru.bitel.bgbilling.common.BGException

      Удаление договоров с предварительной проверкой возможности удаления в модулях.
      Parameters:
        `cids` - коды договоров
        `save` - необходимости сохранения данных в архиве
      Returns:
        null при успешном удалении, иначе текст ошибки
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### removeContract

          public java.lang.String removeContract(int contractId,
                                                 boolean save)
                                          throws ru.bitel.bgbilling.common.BGException

      Удаление договора с предварительной проверкой возможности удаления в модулях.
      Parameters:
        `contractId` - код договора
        `save` - необходимости сохранения данных в архиве
      Returns:
        null при успешном удалении, иначе текст ошибки
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### removeContract

          public java.lang.String removeContract(int cid,
                                                 boolean save,
                                                 int userId)
                                          throws ru.bitel.bgbilling.common.BGException

      Удаление договора с предварительной проверкой возможности удаления в модулях.
      Parameters:
        `cid` - код договора
        `save` - необходимости сохранения данных в архиве
        `userId` - код пользоваетля
      Returns:
        null при успешном удалении, иначе текст ошибки
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteContract

          public java.lang.String deleteContract(int cid)

      Удаление договора без предварительной проверки возможности в модулях.
      Parameters:
        `cid` - код договора
      Returns:
        null при успешном удалении или текст с описанием ошибки

    - #### deleteContract

          public java.lang.String deleteContract(int userId,
                                                 int contractId)

      Удаление договора без предварительной проверки возможности в модулях.
      Parameters:
        `userId` - код пользователя
        `contractId` - код договора
      Returns:
        null при успешном удалении или текст с описанием ошибки

    - #### getContractsFromArchive

          public java.util.List<java.io.File> getContractsFromArchive(java.lang.String fileFilter)

    - #### restoreContract

          public java.lang.String restoreContract(java.lang.String fileName)

      восстановление договора из файла

    - #### restoreContractClone

          public java.lang.String restoreContractClone(java.lang.String fileName)

      восстановление клона договора из файла

    - #### getFolders

          public java.util.List<java.lang.String> getFolders()

      Список папок и подпапок в папке для сохранения архивов (для отображения юзеру списка)

    - #### getArchiveContent

          public java.lang.String getArchiveContent(java.lang.String fileName)

      Получение текстового содержимого архива (для просмотра сериализованной xml, например).

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`